-- phpMyAdmin SQL Dump
-- version 3.3.2deb1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Nov 22, 2011 at 01:45 PM
-- Server version: 5.1.41
-- PHP Version: 5.3.2-1ubuntu4.10

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `ccd3db`
--

-- --------------------------------------------------------

--
-- Table structure for table `ccd3_status`
--

CREATE TABLE IF NOT EXISTS `ccd3_status` (
  `TS` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `CAMERA_MODE` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Integer describing the camera mode (idle/integrating/readout/shutter_delay)',
  `XTOT` int(11) NOT NULL DEFAULT '0' COMMENT 'Total X size',
  `YTOT` int(11) NOT NULL DEFAULT '0' COMMENT 'Total Y size',
  `XSIZE` int(11) NOT NULL DEFAULT '0' COMMENT 'Window X size',
  `YSIZE` int(11) NOT NULL DEFAULT '0' COMMENT 'Window y size',
  `XBEGIN` int(11) NOT NULL DEFAULT '0' COMMENT 'Beginning of window in X',
  `YBEGIN` int(11) NOT NULL DEFAULT '0' COMMENT 'Beginning of window in Y',
  `XBIN` int(11) NOT NULL DEFAULT '0' COMMENT 'Binning in X',
  `YBIN` int(11) NOT NULL DEFAULT '0' COMMENT 'Binning in Y',
  `AMPL_MODE0` int(11) NOT NULL DEFAULT '0' COMMENT 'Readout amplifier',
  `AMPL_MODE1` int(11) NOT NULL DEFAULT '0',
  `DET_MODE` int(11) NOT NULL DEFAULT '0',
  `INT_MODE` int(11) NOT NULL DEFAULT '0' COMMENT 'Integration mode (auto shutter, auto readout, auto preclear)',
  `TINT` double NOT NULL DEFAULT '0' COMMENT 'Initial integration time',
  `TINT_RES` double NOT NULL DEFAULT '0' COMMENT 'Residual integration time',
  `TINT_ELAPSED` double NOT NULL DEFAULT '0' COMMENT 'Elapsed integration time',
  `HOLD` tinyint(4) NOT NULL DEFAULT '0',
  `SHUTTER` tinyint(4) NOT NULL DEFAULT '0',
  `SH_DELAY` double NOT NULL DEFAULT '0' COMMENT 'Shutter delay',
  `XOVER` int(11) NOT NULL DEFAULT '0' COMMENT 'X overscan',
  `YOVER` int(11) NOT NULL DEFAULT '0' COMMENT 'Y overscan',
  `AOVER` int(11) NOT NULL DEFAULT '0' COMMENT 'Artificial overscan (only on X)',
  `READ_SPEED` int(11) NOT NULL DEFAULT '0' COMMENT 'Readout speed in kpix/sec',
  `READ_PROGRESS` int(11) NOT NULL DEFAULT '0' COMMENT 'Porcentage read out',
  `EXP_PROGRESS` int(11) NOT NULL DEFAULT '0' COMMENT 'Exposure progress in percent',
  `MEM_PROGRESS` int(11) NOT NULL DEFAULT '0',
  `DESC_PROGRESS` int(11) NOT NULL DEFAULT '0',
  `FILE_PROGRESS` int(11) NOT NULL DEFAULT '0',
  `CUR_FILENAME` varchar(80) NOT NULL DEFAULT ' ' COMMENT 'Current filename',
  `IMPATH` varchar(80) NOT NULL DEFAULT ' ' COMMENT 'Image storage path',
  `AUTOSAVE` int(11) NOT NULL DEFAULT '0' COMMENT 'Autosave on/off (1/0) (is image stored after readout',
  `MULTITOT` int(11) NOT NULL DEFAULT '0',
  `MULTACT` int(11) NOT NULL DEFAULT '0',
  `CCDTEMP` double NOT NULL DEFAULT '0',
  `REFTEMP` double NOT NULL DEFAULT '0',
  `DEWARTEMP` double NOT NULL DEFAULT '0',
  `DEWARPRESS` double NOT NULL DEFAULT '0',
  `VBHA0` double NOT NULL DEFAULT '0',
  `VBHB0` double NOT NULL DEFAULT '0',
  `VBHC0` double NOT NULL DEFAULT '0',
  `VBLA0` double NOT NULL DEFAULT '0',
  `VBLB0` double NOT NULL DEFAULT '0',
  `TSAM` int(11) NOT NULL DEFAULT '0',
  `TSPW` int(11) NOT NULL DEFAULT '0',
  `TSOL` int(11) NOT NULL DEFAULT '0',
  `TSND` int(11) NOT NULL DEFAULT '0',
  `TSTR` int(11) NOT NULL DEFAULT '0',
  `GAIN0` double NOT NULL DEFAULT '0',
  `CDSG` int(11) NOT NULL DEFAULT '0',
  `OFFS0` int(11) NOT NULL DEFAULT '0',
  `ZERO0` int(11) NOT NULL DEFAULT '0',
  `TPOL` int(11) NOT NULL DEFAULT '0',
  `TPTR` int(11) NOT NULL DEFAULT '0',
  `TPPW` int(11) NOT NULL DEFAULT '0',
  `VBHA1` double NOT NULL DEFAULT '0',
  `VBHB1` double NOT NULL DEFAULT '0',
  `VBHC1` double NOT NULL DEFAULT '0',
  `VBLA1` double NOT NULL DEFAULT '0',
  `VBLB1` double NOT NULL DEFAULT '0',
  `OFFS1` int(11) NOT NULL DEFAULT '0',
  `ZERO1` int(11) NOT NULL DEFAULT '0',
  `GAIN1` double NOT NULL DEFAULT '0',
  `VBHA2` double NOT NULL DEFAULT '0',
  `VBHB2` double NOT NULL DEFAULT '0',
  `VBHC2` double NOT NULL DEFAULT '0',
  `VBLA2` double NOT NULL DEFAULT '0',
  `VBLB2` double NOT NULL DEFAULT '0',
  `OFFS2` int(11) NOT NULL DEFAULT '0',
  `ZERO2` int(11) NOT NULL DEFAULT '0',
  `GAIN2` double NOT NULL DEFAULT '0',
  `VBHA3` double NOT NULL DEFAULT '0',
  `VBHB3` double NOT NULL DEFAULT '0',
  `VBHC3` double NOT NULL DEFAULT '0',
  `VBLA3` double NOT NULL DEFAULT '0',
  `VBLB3` double NOT NULL DEFAULT '0',
  `OFFS3` int(11) NOT NULL DEFAULT '0',
  `ZERO3` int(11) NOT NULL DEFAULT '0',
  `GAIN3` double NOT NULL DEFAULT '0',
  `XPHY` int(11) NOT NULL DEFAULT '0',
  `YPHY` int(11) NOT NULL DEFAULT '0',
  `WATCH_DOG` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Will be regularly updated by ccd3comm'
) ENGINE=MEMORY DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ccd3_status`
--

INSERT INTO `ccd3_status` (`TS`, `CAMERA_MODE`, `XTOT`, `YTOT`, `XSIZE`, `YSIZE`, `XBEGIN`, `YBEGIN`, `XBIN`, `YBIN`, `AMPL_MODE0`, `AMPL_MODE1`, `DET_MODE`, `INT_MODE`, `TINT`, `TINT_RES`, `TINT_ELAPSED`, `HOLD`, `SHUTTER`, `SH_DELAY`, `XOVER`, `YOVER`, `AOVER`, `READ_SPEED`, `READ_PROGRESS`, `EXP_PROGRESS`, `MEM_PROGRESS`, `DESC_PROGRESS`, `FILE_PROGRESS`, `CUR_FILENAME`, `IMPATH`, `AUTOSAVE`, `MULTITOT`, `MULTACT`, `CCDTEMP`, `REFTEMP`, `DEWARTEMP`, `DEWARPRESS`, `VBHA0`, `VBHB0`, `VBHC0`, `VBLA0`, `VBLB0`, `TSAM`, `TSPW`, `TSOL`, `TSND`, `TSTR`, `GAIN0`, `CDSG`, `OFFS0`, `ZERO0`, `TPOL`, `TPTR`, `TPPW`, `VBHA1`, `VBHB1`, `VBHC1`, `VBLA1`, `VBLB1`, `OFFS1`, `ZERO1`, `GAIN1`, `VBHA2`, `VBHB2`, `VBHC2`, `VBLA2`, `VBLB2`, `OFFS2`, `ZERO2`, `GAIN2`, `VBHA3`, `VBHB3`, `VBHC3`, `VBLA3`, `VBLB3`, `OFFS3`, `ZERO3`, `GAIN3`, `XPHY`, `YPHY`, `WATCH_DOG`) VALUES
('2011-03-28 12:23:21', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, ' ', ' ', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `header`
--

CREATE TABLE IF NOT EXISTS `header` (
  `SEQNO` int(11) NOT NULL,
  `NAME` varchar(8) NOT NULL,
  `VALUE` varchar(80) NOT NULL,
  `COMMENT` varchar(80) NOT NULL,
  `DATATYPE` varchar(10) NOT NULL,
  `DESTEXT` int(11) NOT NULL COMMENT 'Destination fits extensions for this keyword',
  `Active` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Enable this value in fits header',
  KEY `SEQNO` (`SEQNO`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `header`
--


-- --------------------------------------------------------

--
-- Stand-in structure for view `Keywords`
--
CREATE TABLE IF NOT EXISTS `Keywords` (
`SEQNO` int(11)
,`NAME` varchar(8)
,`VALUE` varchar(80)
,`COMMENT` varchar(80)
,`DATATYPE` varchar(10)
,`DESTEXT` int(11)
);
-- --------------------------------------------------------

--
-- Table structure for table `WCS`
--

CREATE TABLE IF NOT EXISTS `WCS` (
  `SEQNO` int(11) NOT NULL,
  `NAME` varchar(8) NOT NULL,
  `VALUE` varchar(80) NOT NULL,
  `COMMENT` varchar(80) NOT NULL,
  `DATATYPE` varchar(10) NOT NULL,
  `DESTEXT` int(11) NOT NULL,
  `Active` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Enable this value in fits header'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `WCS`
--


-- --------------------------------------------------------

--
-- Structure for view `Keywords`
--
DROP TABLE IF EXISTS `Keywords`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `Keywords` AS select `header`.`SEQNO` AS `SEQNO`,`header`.`NAME` AS `NAME`,`header`.`VALUE` AS `VALUE`,`header`.`COMMENT` AS `COMMENT`,`header`.`DATATYPE` AS `DATATYPE`,`header`.`DESTEXT` AS `DESTEXT` from `header` where `header`.`Active` union select `WCS`.`SEQNO` AS `SEQNO`,`WCS`.`NAME` AS `NAME`,`WCS`.`VALUE` AS `VALUE`,`WCS`.`COMMENT` AS `COMMENT`,`WCS`.`DATATYPE` AS `DATATYPE`,`WCS`.`DESTEXT` AS `DESTEXT` from `WCS` where `WCS`.`Active`;
